Subject: [dtn-users] Multi EID per node

From: Maël Auzias <[email-masked]>
Date: Mon, 10 Mar 2014 11:51:49 +0100

Hi y'all,

While testing some features of the DTN2, I cannot find a way to send from
any EID of a multiple-EDI node.
The node "pc-mna-78" has two EID :

   - dtn://casa13.dtn
   - dtn://casa15.dtn

The node can receive bundles to both application (dtnrcv) :
dtn://casa13.dtn/echo and dtn://casa15.dtn/echo.
However an error occurs when I try to send a bundle using the
dtn://casa13.dtn EID, same as when a node attempts to send a bundle with a
wrong EID.

I would like to know how (if ever it's possible) to use either
dtn://casa13.dtn or dtn://casa15.dtn as EID to send a bundle.

Below are the command lines, and the configuration file.

*===== Console =====*
root@pc-mna-78#dtnsend -s dtn://casa15.dtn/me -d dtn://casa13.dtn/echo -t m
-p "message content"
root@pc-mna-78#dtnsend -s dtn://casa13.dtn/me -d dtn://casa13.dtn/echo -t m
-p "message content"
error sending bundle: -1 (invalid argument)

*===== Configuration file =====*

> log /dtnd info "dtnd parsing configuration..."
>
> # Daemon Console Configuration
> console set addr 127.0.0.1
> console set port 5050
>
> storage set type filesysdb
> storage set payloaddir /root/wlan/bundles
> storage set dbname     DTN
> storage set dbdir      /root/wlan/db
>
> route set type flood
> route local_eid "dtn://casa13.dtn"
> route local_eid "dtn://casa15.dtn"
>
> interface add udp0 udp
> # local_addr=192.168.0.78 local_port=9999
>
> discovery add udp0d ip port=9556
> discovery announce udp0 udp0d udp interval=5
>

Note that I have the same issue with IBR-DTN

Thank for further replies!
Have a nice day.